## mdtraj 1.9.9

=== docs/requirements.txt ===
pip
setuptools
sphinx
sphinx_rtd_theme
matplotlib
jupyter
jinja2
runipy
openmm
pytables
scikit-learn
pytest
setuptools
pandas
numpydoc
wheel
python==3.7

## mdtraj 1.9.4+git20201015.068f29a

=== debian/changelog ===
mdtraj (1.9.4+git20201015.068f29a-5) unstable; urgency=medium

  * debian patch rename-mdconvert-mdtraj.patch renames mdconvert to
    mdconvert-mdtraj to avoid filename conflict with mdconvert from
    the isync package. Closes: #973631.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Nov 2020 16:07:00 +0800

mdtraj (1.9.4+git20201015.068f29a-4) unstable; urgency=medium

  * eliminate automated Testsuite: autopkgtest-pkg-python.
    Not compatible with incomplete built Architecture set (no armhf).

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Nov 2020 00:36:36 +0800

mdtraj (1.9.4+git20201015.068f29a-3) unstable; urgency=medium

  * set Architecture: any-amd64 arm64 i386 in debian/tests
    to match debian/control. Otherwise armhf failure prevents migration.

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Oct 2020 02:09:33 +0800

mdtraj (1.9.4+git20201015.068f29a-2) unstable; urgency=medium

  * add debian patches
    - 32bit_skip_image_molecule.patch skips test_image_molecules in
      test_trajectory.py on 32-bit systems to avoid segfault in
      image_molecule (see upstream Issue #1591)
    - test_order_relax_tol.patch relaxes absolute tolerance in
      test_order.py::test_directors_angle_from_traj to help i386 pass
      tests.
  * restrict python3-mdtraj Architecture: any-amd64 arm64 i386.
    mdtraj needs SSE2 or NEON. Closes: #972592.

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Oct 2020 12:34:12 +0800

mdtraj (1.9.4+git20201015.068f29a-1) unstable; urgency=medium

  * New upstream snapshot.
    - adds support for NEON (arm64)
  * Build-Depends-Indep: python3-ipykernel, python3-jupyter-client,
    python3-matplotlib, python3-six, python3-sklearn
    to build docs from examples. Closes: #972635.
  * set MPLCONFIGDIR to catch matplotlib output for examples in docs
    and fix doc access to generated image files
  * Remove local __pycache__ when running debian/rules clean
    (dh_auto_clean)
  * predownload .pdb files from http://www.rcsb.org/pdb/files and
    store in debian/external alongside doi badge
    (to enable doc build when internet is not available for build)
  * debian patch reinstate_astor_not_astunparse_revert_a8b2b9c.patch
    reverts upstream commit a8b2b9c to reinstate astor instead of
    astunparse (astunparse is not yet packaged for Debian)
  * create mdconvert.1, mdinspect.1 man pages using help2man

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Oct 2020 15:08:19 +0800

mdtraj (1.9.4-6) unstable; urgency=medium

  * debian patch check_sse2.patch checks if system supports SSE2
    (i.e. if system is x86 or amd64) before compiling with -msse2.
    Closes: #972592.
  * debian/tests Depends: python3-matplotlib, python3-sklearn

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Oct 2020 17:40:20 +0800

mdtraj (1.9.4-5) unstable; urgency=medium

  * python3-mdtraj Depends: python3-networkx, python3-pandas
  * debian/tests Depends: python3-ipykernel

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Oct 2020 10:14:47 +0800

mdtraj (1.9.4-4) unstable; urgency=medium

  * python3-mdtraj [Build-]Depends: python3-tables

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Oct 2020 01:21:03 +0800

mdtraj (1.9.4-3) unstable; urgency=medium

  * python3-mdtraj Depends: python3-distutils
  * debian/tests Depends: python3-jupyter-client, python3-nbformat,
    python3-six

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2020 20:17:02 +0800

mdtraj (1.9.4-2) unstable; urgency=medium

  * Build-Depends: cython3 (>= 0.29~), python3-all-dev
  * build docs with default python, sphinx and
    Build-Depends-Indep: python3-msmb-theme,
     python3-nbconvert, python3-nbformat, python3-numpydoc

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Oct 2020 13:35:11 +0800

mdtraj (1.9.4-1) unstable; urgency=medium

  * Initial release (Closes: #962442)
  * create debian patches
    - build_dir_pybuild.patch adapts build scripts to allow for
      pybuild build dir.
    - python_hashbang.patch sets python hashbang to /usr/bin/python3
      in place of /bin/env python
    - test_gsd_skip.patch skips test_gsd.py in tests
      (the gsd module is not available, see RFP#966019)
  * privacy: use local copy of DOI badge
    doi-10.1016_j.bpj.2015.08.015-blue.svg in docs

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Aug 2020 14:05:10 +0800

=== debian/control ===
Source: mdtraj
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 cython3 (>= 0.29~),
 python3-setuptools,
 python3-all-dev,
 python3-numpy (>=1.6~),
 python3-scipy,
 python3-astor,
 python3-networkx,
 python3-pandas,
 python3-pyparsing,
 python3-sphinx,
 python3-tables,
 libjs-mathjax
Build-Depends-Indep: python3-msmb-theme,
 python3-ipykernel,
 python3-jupyter-client,
 python3-matplotlib,
 python3-nbconvert,
 python3-nbformat,
 python3-numpydoc,
 python3-six,
 python3-sklearn
Standards-Version: 4.5.0
Homepage: http://mdtraj.org/
Vcs-Browser: https://salsa.debian.org/debichem-team/mdtraj
Vcs-Git: https://salsa.debian.org/debichem-team/mdtraj.git

Package: python3-mdtraj
Architecture: any-amd64 arm64 i386
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
 python3-distutils,
 python3-networkx,
 python3-pandas,
 python3-tables
Suggests: python-mdtraj-doc
Description: Read, write and analyze MD trajectories in Python
 Read, write and analyze MD trajectories with only a few lines of
 Python code.
 .
 MDTraj is a python library that allows users to manipulate molecular
 dynamics (MD) trajectories. Features include:
  * Wide MD format support, including pdb, xtc, trr, dcd, binpos,
  netcdf, mdcrd, prmtop, and more.
  * Extremely fast RMSD calculations (4x the speed of the original
  Theobald QCP).
  * Extensive analysis functions including those that compute bonds,
  angles, dihedrals, hydrogen bonds, secondary structure, and NMR
  observables.
  * Lightweight, Pythonic API.
 .
 MDTraj includes a command-line application, mdconvert-mdtraj,
 for converting trajectories between formats.
 .
 This package installs the library for Python 3, together with the
 command line utilities mdconvert-mdtraj and mdinspect.

Package: python-mdtraj-doc
Architecture: all
Section: doc
Depends: libjs-mathjax,
 ${sphinxdoc:Depends}, ${misc:Depends}
Description: Read, write and analyze MD trajectories in Python (documentation)
 Read, write and analyze MD trajectories with only a few lines of
 Python code.
 .
 MDTraj is a python library that allows users to manipulate molecular
 dynamics (MD) trajectories. Features include:
  * Wide MD format support, including pdb, xtc, trr, dcd, binpos,
  netcdf, mdcrd, prmtop, and more.
  * Extremely fast RMSD calculations (4x the speed of the original
  Theobald QCP).
  * Extensive analysis functions including those that compute bonds,
  angles, dihedrals, hydrogen bonds, secondary structure, and NMR
  observables.
  * Lightweight, Pythonic API.
 .
 This is the documentation package for mdtraj.

=== debian/tests/control ===
Test-Command: pytest-3
Depends: python3-mdtraj,
 python3-ipykernel,
 python3-jupyter-client,
 python3-matplotlib,
 python3-nbformat,
 python3-pytest,
 python3-pandas,
 python3-six,
 python3-sklearn
Architecture: any-amd64 arm64 i386

## mdtraj 1.9.5

=== debian/changelog ===
mdtraj (1.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.1
  * debian/tests: skip nmr.ipynb, it requires SPARTA+ which is not
    available. Closes: #980050.

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jan 2021 16:30:54 +1100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-numpydoc,
  python3-six,
  python3-sklearn
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://mdtraj.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdtraj
 Vcs-Git: https://salsa.debian.org/debichem-team/mdtraj.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=mdtraj

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean || /bin/true
	for f in mdtraj/formats/binpos/binpos.c \
	  mdtraj/formats/dcd/dcd.c		\
	  mdtraj/formats/dtr/dtr.cpp		\
	  mdtraj/formats/tng/tng.c		\
	  mdtraj/formats/xtc/trr.c		\
	  mdtraj/formats/xtc/xtc.c		\
	  mdtraj/geometry/drid.cpp		\
	  mdtraj/geometry/neighborlist.cpp	\
	  mdtraj/geometry/neighbors.cpp		\
	  mdtraj/geometry/src/_geometry.cpp	\
	  mdtraj/rmsd/_lprmsd.cpp		\
	  mdtraj/rmsd/_rmsd.cpp			\
	  mdtraj/version.py;                    \
	do rm -f $$f; done
	rm -rf __pycache__

override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
override_dh_auto_build-indep:
	dh_auto_build
	cp -a $(CURDIR)/examples $(CURDIR)/examples.orig
	mkdir -p $(CURDIR)/build/html/examples/iterload
	ln -s $(CURDIR)/examples/data $(CURDIR)/build/html/examples/iterload/data
	sed "s|http://www.rcsb.org/pdb/files|$(CURDIR)/debian/external|g" -i $(CURDIR)/examples/*.ipynb
	PYTHONPATH=$(shell pybuild --pyver `py3versions --default -v` --print build_dir | awk '{print $$3}' ) \
	    MPLCONFIGDIR=$(CURDIR)/build/matplotlib \
		make -C docs BUILDDIR=$(CURDIR)/build  html
	for img in `find $(CURDIR)/build/html/examples -name *.png`; do \
	    mv $$img $(CURDIR)/build/html/examples; \
	done
	sed "s|$(CURDIR)/build/html/examples/|./|g; s|.ipynb|.ipynb.gz|g" -i $(CURDIR)/build/html/examples/*.html
	sed "s|$(CURDIR)/debian/external|http://www.rcsb.org/pdb/files|g" -i $(CURDIR)/build/html/examples/*.html $(CURDIR)/build/html/examples/*/*.*py*
	rm $(CURDIR)/build/html/examples/iterload/data
	rm -rf $(CURDIR)/examples
	mv $(CURDIR)/examples.orig $(CURDIR)/examples

override_dh_sphinxdoc-indep:
	dh_sphinxdoc -i
	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-mdtraj-doc/usr/share/doc/python-mdtraj-doc/* -r --files-with-matches | xargs sed "s|src=\"https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|src=\"file://usr/share/javascript/mathjax/unpacked/latest.js|g" -i
	sed "s|src=\"https://img.shields.io/badge/DOI-10.1016%2Fj.bpj.2015.08.015-blue.svg\"|src=\"_static/doi-10.1016_j.bpj.2015.08.015-blue.svg\"|g" -i debian/python-mdtraj-doc/usr/share/doc/python-mdtraj-doc/html/index.html

## mdtraj 1.9.6

=== debian/changelog ===
mdtraj (1.9.6-1) unstable; urgency=medium

  * New upstream release.
  * use triple-slash for mathjax reference in docs
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Aug 2021 16:05:50 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-numpydoc,
  python3-six,
  python3-sklearn
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://mdtraj.org/
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdtraj
 Vcs-Git: https://salsa.debian.org/debichem-team/mdtraj.git

=== debian/rules ===
--- 
+++ 
@@ -48,5 +48,5 @@
 
 override_dh_sphinxdoc-indep:
 	dh_sphinxdoc -i
-	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-mdtraj-doc/usr/share/doc/python-mdtraj-doc/* -r --files-with-matches | xargs sed "s|src=\"https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|src=\"file://usr/share/javascript/mathjax/unpacked/latest.js|g" -i
+	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-mdtraj-doc/usr/share/doc/python-mdtraj-doc/* -r --files-with-matches | xargs sed "s|src=\"https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|src=\"file:///usr/share/javascript/mathjax/unpacked/latest.js|g" -i
 	sed "s|src=\"https://img.shields.io/badge/DOI-10.1016%2Fj.bpj.2015.08.015-blue.svg\"|src=\"_static/doi-10.1016_j.bpj.2015.08.015-blue.svg\"|g" -i debian/python-mdtraj-doc/usr/share/doc/python-mdtraj-doc/html/index.html

## mdtraj 1.9.7

=== debian/changelog ===
mdtraj (1.9.7-3) unstable; urgency=medium

  * python3-mdtraj Depends: python3-astunparse
    - drop debian patch
      reinstate_astor_not_astunparse_revert_a8b2b9c.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Apr 2022 18:41:47 +0200

mdtraj (1.9.7-2) unstable; urgency=medium

  * rename debian patch test_order_relax_tol.patch to
    test_relax_tol.patch and relax tolerance in test_distances_t
    (test_distance.py) to improve test relability on arm64.

 -- Drew Parsons <dparsons@debian.org>  Sun, 02 Jan 2022 22:11:24 +0100

mdtraj (1.9.7-1) unstable; urgency=medium

  * New upstream release.
    - applies debianpatch fix_notebook_PR1687.patch
  * add debian patches
    - docs_use_local_mathjax.patch uses local mathjax installation
      in order to preserve privacy
    - drop_notebook_in_docs.patch drops use of nbconvert in
      docs, because of the mistune error Bug#1002372.

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Jan 2022 19:16:35 +0100

mdtraj (1.9.6-3) unstable; urgency=medium

  * debian patch fix_notebook_PR1687.patch applies upstream PR#1687
    fixing notebook tests to work with latest jupyter

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Nov 2021 12:13:35 +0100

mdtraj (1.9.6-2) unstable; urgency=medium

  * allow for mathjax changes: latest.js no longer used.
    Closes: #997749.
  * call dh_numpy3 after dh_install
  * update debian/copyright
    - remove deprecated devtools/authors.py
    - acknowledge Robert T. McGibbon in mdtraj/formats/xtc/src

 -- Drew Parsons <dparsons@debian.org>  Sun, 31 Oct 2021 12:48:20 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all-dev,
  python3-numpy (>=1.6~),
  python3-scipy,
- python3-astor,
+ python3-astunparse,
  python3-networkx,
  python3-pandas,
  python3-pyparsing,
@@ -34,6 +34,7 @@
 Package: python3-mdtraj
 Architecture: any-amd64 arm64 i386
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
+ python3-astunparse,
  python3-distutils,
  python3-networkx,
  python3-pandas,

=== debian/rules ===
--- 
+++ 
@@ -41,12 +41,15 @@
 	    mv $$img $(CURDIR)/build/html/examples; \
 	done
 	sed "s|$(CURDIR)/build/html/examples/|./|g; s|.ipynb|.ipynb.gz|g" -i $(CURDIR)/build/html/examples/*.html
-	sed "s|$(CURDIR)/debian/external|http://www.rcsb.org/pdb/files|g" -i $(CURDIR)/build/html/examples/*.html $(CURDIR)/build/html/examples/*/*.*py*
+	sed "s|$(CURDIR)/debian/external|http://www.rcsb.org/pdb/files|g" -i $(CURDIR)/build/html/examples/*.html
 	rm $(CURDIR)/build/html/examples/iterload/data
 	rm -rf $(CURDIR)/examples
 	mv $(CURDIR)/examples.orig $(CURDIR)/examples
 
+override_dh_install:
+	dh_install
+	dh_numpy3
+
 override_dh_sphinxdoc-indep:
 	dh_sphinxdoc -i
-	grep "https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js" debian/python-mdtraj-doc/usr/share/doc/python-mdtraj-doc/* -r --files-with-matches | xargs sed "s|src=\"https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/latest.js|src=\"file:///usr/share/javascript/mathjax/unpacked/latest.js|g" -i
 	sed "s|src=\"https://img.shields.io/badge/DOI-10.1016%2Fj.bpj.2015.08.015-blue.svg\"|src=\"_static/doi-10.1016_j.bpj.2015.08.015-blue.svg\"|g" -i debian/python-mdtraj-doc/usr/share/doc/python-mdtraj-doc/html/index.html

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
-Test-Command: pytest-3
+# skip nmr.pynb: it requires Sparta
+Test-Command: pytest-3 -k 'not nmr.ipynb'
 Depends: python3-mdtraj,
  python3-ipykernel,
  python3-jupyter-client,

## mdtraj 1.9.9

=== debian/changelog ===
mdtraj (1.9.9-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:56:59 +1100

mdtraj (1.9.9-1ubuntu1) noble; urgency=medium

  * Drop Dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Mar 2024 18:47:54 +0100

mdtraj (1.9.9-1) unstable; urgency=medium

  * Team upload.
  * Switch to cython3-legacy.
    Closes: #1056815
  * Fix clean target
    Closes: #1045994
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).
  * Explicitly call dh_python3 in d/rules
  * d/rules: verbose
  * Fix capitalisation in description
  * Set hardening options
  * Manually remove copy of libtheobald.a in /usr/lib/python3.1*/dist-packages
  * Update python_hashbang.patch to replace all instances of /bin/env

 -- Andreas Tille <tille@debian.org>  Tue, 16 Jan 2024 11:14:21 +0100

mdtraj (1.9.7-6) unstable; urgency=medium

  * update debian patch test_relax_tol.patch to relax tolerance in
    periodic test in test_distances_t (test_distance.py).
    Was occasionally failing on arm64.

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Mar 2023 11:54:43 +0100

mdtraj (1.9.7-5) unstable; urgency=medium

  * debian patch python3.11_PR1758.patch adapts upstream PR1758 to fix
    build with python3.11. Also, skip test_image_molecules in
    debian/tests (segfaults). Closes: #1028995.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Jan 2023 16:38:41 +0100

mdtraj (1.9.7-4) unstable; urgency=medium

  * debian/tests: add Restrictions: needs-internet
    (test_examples.py pulls a random PDB sample file from www.rcsb.org)
  * debian patch test_increase_timeout.patch increases TIMEOUT to
    180 sec in test_examples.py to allow for poor internet connections.
    Closes: #1009079.
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Jun 2022 18:02:27 +0200

=== debian/control ===
Source: mdtraj
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               cython3-legacy,
               python3-setuptools,
               python3-all-dev,
               python3-numpy,
               python3-scipy,
               python3-astunparse,
               python3-networkx,
               python3-pandas,
               python3-pyparsing,
               python3-sphinx,
               python3-tables,
               libjs-mathjax
Build-Depends-Indep: python3-msmb-theme,
                     python3-ipykernel,
                     python3-jupyter-client,
                     python3-matplotlib,
                     python3-nbconvert,
                     python3-nbformat,
                     python3-numpydoc,
                     python3-six,
                     python3-sklearn
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debichem-team/mdtraj
Vcs-Git: https://salsa.debian.org/debichem-team/mdtraj.git
Homepage: https://mdtraj.org/
Rules-Requires-Root: no

Package: python3-mdtraj
Architecture: any-amd64 arm64 i386
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-astunparse,
         python3-networkx,
         python3-pandas,
         python3-tables
Suggests: python-mdtraj-doc
Description: Read, write and analyze MD trajectories in Python
 Read, write and analyze MD trajectories with only a few lines of
 Python code.
 .
 MDTraj is a Python library that allows users to manipulate molecular
 dynamics (MD) trajectories. Features include:
  * Wide MD format support, including pdb, xtc, trr, dcd, binpos,
  netcdf, mdcrd, prmtop, and more.
  * Extremely fast RMSD calculations (4x the speed of the original
  Theobald QCP).
  * Extensive analysis functions including those that compute bonds,
  angles, dihedrals, hydrogen bonds, secondary structure, and NMR
  observables.
  * Lightweight, Pythonic API.
 .
 MDTraj includes a command-line application, mdconvert-mdtraj,
 for converting trajectories between formats.
 .
 This package installs the library for Python 3, together with the
 command line utilities mdconvert-mdtraj and mdinspect.

Package: python-mdtraj-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Read, write and analyze MD trajectories in Python (documentation)
 Read, write and analyze MD trajectories with only a few lines of
 Python code.
 .
 MDTraj is a Python library that allows users to manipulate molecular
 dynamics (MD) trajectories. Features include:
  * Wide MD format support, including pdb, xtc, trr, dcd, binpos,
  netcdf, mdcrd, prmtop, and more.
  * Extremely fast RMSD calculations (4x the speed of the original
  Theobald QCP).
  * Extensive analysis functions including those that compute bonds,
  angles, dihedrals, hydrogen bonds, secondary structure, and NMR
  observables.
  * Lightweight, Pythonic API.
 .
 This is the documentation package for mdtraj.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,14 @@
 #!/usr/bin/make -f
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
-#export DH_VERBOSE = 1
+export DH_VERBOSE = 1
 
 export PYBUILD_NAME=mdtraj
 
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean || /bin/true
@@ -24,7 +26,8 @@
 	  mdtraj/rmsd/_rmsd.cpp			\
 	  mdtraj/version.py;                    \
 	do rm -f $$f; done
-	rm -rf __pycache__
+	rm -rf __pycache__ .pybuild
+	find . -name "lib*.a" -delete
 
 override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
@@ -46,9 +49,11 @@
 	rm -rf $(CURDIR)/examples
 	mv $(CURDIR)/examples.orig $(CURDIR)/examples
 
-override_dh_install:
-	dh_install
+override_dh_python3:
+	dh_python3
 	dh_numpy3
+	# FIXME: No idea why a copy of this static lib (is it needed at all???) remains here.  There is another one in usr/lib/python3/dist-packages
+	rm -f debian/python3-$(PYBUILD_NAME)/usr/lib/python3.1*/dist-packages/mdtraj/core/lib/libtheobald.a
 
 override_dh_sphinxdoc-indep:
 	dh_sphinxdoc -i

=== debian/tests/control ===
# skip nmr.pynb: it requires Sparta
Test-Command: pytest-3 -k 'not nmr.ipynb and not test_image_molecules'
Depends: python3-mdtraj,
 python3-ipykernel,
 python3-jupyter-client,
 python3-matplotlib,
 python3-nbformat,
 python3-pytest,
 python3-pandas,
 python3-six,
 python3-sklearn
Architecture: any-amd64 arm64 i386
Restrictions: needs-internet

## mdtraj 1.10.0

=== debian/changelog ===
mdtraj (1.10.0-3) unstable; urgency=medium

  * only remove python3-specific mdtraj/core/lib (from libtheobald.a)
    if the excess dir exists (it's only left over if there is more
    than one supported python version). Closes: #1076166.

 -- Drew Parsons <dparsons@debian.org>  Sun, 14 Jul 2024 12:37:33 +0200

mdtraj (1.10.0-2) unstable; urgency=medium

  * debian patch remove_six_PR1908.patch applies upstream PR#1908 to
    remove remaining references to six.

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Jul 2024 18:32:59 +0200

mdtraj (1.10.0-1) unstable; urgency=medium

  * New upstream release
    - drops distutils. Closes: #1065901.
    - drops binpos and tng formats and utils/six.py
  * Build-Depends: (Recommends:) python3-gsd
    - drop debian patch test_gsd_skip.patch
  * debian patch fix_netcdf_PR1894.patch applies upstream PR#1894 to
    fix loading of netcdf files.
    Build-Depends: (Recommends): python3-netcdf4
  * remove python-specific path left by installation of static lib
    libtheobald.a. dh_python3 can't see the static libs are identical
    (mostly). py3.11 compiles libtheobald.o with -fwrapv, where
    py3.12 uses -fno-strict-overflow
  * build docs after dh_auto_install to avoid double-building
  * after dh_auto_clean, remove generated docs and lib
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Jul 2024 02:19:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mdtraj
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Section: python
 Priority: optional
@@ -9,9 +8,11 @@
                cython3-legacy,
                python3-setuptools,
                python3-all-dev,
+               python3-gsd,
                python3-numpy,
                python3-scipy,
                python3-astunparse,
+               python3-netcdf4,
                python3-networkx,
                python3-pandas,
                python3-pyparsing,
@@ -25,9 +26,8 @@
                      python3-nbconvert,
                      python3-nbformat,
                      python3-numpydoc,
-                     python3-six,
                      python3-sklearn
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdtraj
 Vcs-Git: https://salsa.debian.org/debichem-team/mdtraj.git
 Homepage: https://mdtraj.org/
@@ -42,6 +42,7 @@
          python3-networkx,
          python3-pandas,
          python3-tables
+Recommends: python3-gsd, python3-netcdf4
 Suggests: python-mdtraj-doc
 Description: Read, write and analyze MD trajectories in Python
  Read, write and analyze MD trajectories with only a few lines of

=== debian/tests/control ===
# skip nmr.pynb: it requires Sparta
Test-Command: pytest-3 -k 'not nmr.ipynb and not test_image_molecules'
Depends: python3-mdtraj,
 python3-gsd,
 python3-ipykernel,
 python3-jupyter-client,
 python3-matplotlib,
 python3-netcdf4,
 python3-nbformat,
 python3-pytest,
 python3-pandas,
 python3-sklearn
Architecture: any-amd64 arm64 i386
Restrictions: needs-internet

## mdtraj 1.10.1

=== debian/changelog ===
mdtraj (1.10.1-2build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 31 Jan 2025 09:37:12 +0000

mdtraj (1.10.1-2build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 14:41:22 +0100

mdtraj (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * d/control: Remove python3-astunparse from depedencies. It is not
    longer needed.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 11 Nov 2024 15:52:34 -0300

mdtraj (1.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * Update patches according to new upstream release:
    - d/patches/rename-mdconvert-mdtraj.patch.
    - d/patches/drop_notebook_in_docs.patch.
    - d/patches/test_increase_timeout.patch.
  * Remove patches, not longer needed:
    - d/patches/fix_netcdf_PR1894.patch.
    - d/patches/remove_six_PR1908.patch.
  * d/control: Add python3-versioneer, pandoc, python3-nbsphinx,
    python3-nbsphinx-link as build dependency.
    - Remove python3-astuparse, it is not longer needed.
  * d/control: Use cython3 instead of cython3-legacy (Closes: #1082092).

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 09 Nov 2024 21:59:21 -0300

## mdtraj 1.10.3

=== docs/requirements.txt ===
pip
setuptools
sphinx
sphinx_rtd_theme
nbsphinx
nbsphinx_link
msmb_theme
jupyter
ipython
matplotlib
pandoc
jinja2
runipy
openmm
tables
scikit-learn
pytest
setuptools
pandas
numpydoc
wheel
tables
# python==3.11

=== debian/changelog ===
mdtraj (1.10.3-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:08:39 +0000

mdtraj (1.10.3-2) unstable; urgency=medium

  * move pandoc to Build-Depends-Indep (for doc build)

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Feb 2025 12:33:09 +0100

mdtraj (1.10.3-1) unstable; urgency=medium

  * New upstream release
    - supports Numpy 2. Closes: #1094713.
  * debian patch revert_flaky_PR1972.patch reverts upstream PR#1972
    since pytest flaky support is flaky:
    "got an unexpected keyword argument 'condition'"
  * debian/tests: apply Restrictions: needs-internet only to dssp and
    pdb url tests that require internet to access datasources:
    test_3, test_pdb_from_url, test_1vii_url_and_gz

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Feb 2025 03:32:42 +0100

=== debian/control ===
--- 
+++ 
@@ -4,29 +4,32 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               cython3-legacy,
-               python3-setuptools,
-               python3-all-dev,
-               python3-gsd,
-               python3-numpy,
-               python3-scipy,
-               python3-astunparse,
-               python3-netcdf4,
-               python3-networkx,
-               python3-pandas,
-               python3-pyparsing,
-               python3-sphinx,
-               python3-tables,
-               libjs-mathjax
-Build-Depends-Indep: python3-msmb-theme,
-                     python3-ipykernel,
-                     python3-jupyter-client,
-                     python3-matplotlib,
-                     python3-nbconvert,
-                     python3-nbformat,
-                     python3-numpydoc,
-                     python3-sklearn
+ dh-sequence-python3,
+ cython3,
+ python3-setuptools,
+ python3-all-dev,
+ python3-gsd,
+ python3-numpy,
+ python3-scipy,
+ python3-nbsphinx,
+ python3-nbsphinx-link,
+ python3-netcdf4,
+ python3-networkx,
+ python3-pandas,
+ python3-pyparsing,
+ python3-sphinx,
+ python3-tables,
+ python3-versioneer,
+ libjs-mathjax
+Build-Depends-Indep: pandoc,
+ python3-msmb-theme,
+ python3-ipykernel,
+ python3-jupyter-client,
+ python3-matplotlib,
+ python3-nbconvert,
+ python3-nbformat,
+ python3-numpydoc,
+ python3-sklearn
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdtraj
 Vcs-Git: https://salsa.debian.org/debichem-team/mdtraj.git
@@ -38,7 +41,6 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-astunparse,
          python3-networkx,
          python3-pandas,
          python3-tables

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean || /bin/true
+execute_after_dh_auto_clean:
 	for f in mdtraj/formats/binpos/binpos.c \
 	  mdtraj/formats/dcd/dcd.c		\
 	  mdtraj/formats/dtr/dtr.cpp		\
@@ -26,13 +25,14 @@
 	  mdtraj/rmsd/_rmsd.cpp			\
 	  mdtraj/version.py;                    \
 	do rm -f $$f; done
+	rm -rf mdtraj/core/lib
+	rm -rf docs/api/generated
 	rm -rf __pycache__ .pybuild
 	find . -name "lib*.a" -delete
 
-override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
-override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
-override_dh_auto_build-indep:
-	dh_auto_build
+execute_after_dh_auto_install-indep: export http_proxy=127.0.0.1:9
+execute_after_dh_auto_install-indep: export https_proxy=127.0.0.1:9
+execute_after_dh_auto_install-indep:
 	cp -a $(CURDIR)/examples $(CURDIR)/examples.orig
 	mkdir -p $(CURDIR)/build/html/examples/iterload
 	ln -s $(CURDIR)/examples/data $(CURDIR)/build/html/examples/iterload/data
@@ -49,11 +49,14 @@
 	rm -rf $(CURDIR)/examples
 	mv $(CURDIR)/examples.orig $(CURDIR)/examples
 
-override_dh_python3:
-	dh_python3
+execute_after_dh_python3:
 	dh_numpy3
-	# FIXME: No idea why a copy of this static lib (is it needed at all???) remains here.  There is another one in usr/lib/python3/dist-packages
-	rm -f debian/python3-$(PYBUILD_NAME)/usr/lib/python3.1*/dist-packages/mdtraj/core/lib/libtheobald.a
+	# setup.py builds the static lib libtheobald.a for each python version
+	# but dh_python3 can't tell the difference between the different builds,
+	# since py3.11 compiles libtheobald.o with -fwrapv, where py3.12 uses -fno-strict-overflow
+	# So clean up manually (assume the binary difference is not an issue)
+	rm -f debian/python3-$(PYBUILD_NAME)/usr/lib/python3.*/dist-packages/mdtraj/core/lib/libtheobald.a
+	for d in debian/python3-$(PYBUILD_NAME)/usr/lib/python3.*/dist-packages/mdtraj/core/lib; do if [-d $$d]; then rmdir -p --ignore-fail-on-non-empty $$d; fi; done
 
 override_dh_sphinxdoc-indep:
 	dh_sphinxdoc -i

## mdtraj 1.11.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/MSMBuilder.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/MSMBuilder.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/MSMBuilder"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/MSMBuilder"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== docs/requirements.txt ===
pip
setuptools
sphinx~=8.0
sphinx_rtd_theme
nbsphinx
nbsphinx_link
jupyter
ipython
matplotlib
pandoc
jinja2
openmm
tables
scikit-learn
pytest
setuptools
pandas
numpydoc
wheel
tables
py3Dmol
# python==3.11

=== debian/changelog ===
mdtraj (1.11.0-2) unstable; urgency=medium

  * update debian patch drop_notebook_in_docs.patch to also drop
    nbsphinx_link, which requires an obsolete docutils.
    Remove Build-Depends: python3-nbsphinx-link.
    See Bug#1118325. Closes: #1118311.
  * Build-Depends: pybuild-plugin-pyproject to use pyproject.toml

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Oct 2025 12:41:01 +0100

mdtraj (1.11.0-1) unstable; urgency=medium

  * New upstream release
    - versioned Build-Depends: python3-numpy (>= 2.0.0~)
  * drop debian patch revert_flaky_PR1972.patch for new upstream release
  * Build-Depends: dh-sequence-numpy3
    and remove dh_numpy3 from execute_after_dh_python3
  * Standards-Version: 4.7.2
  * Depends: python3-pytest-rerunfailures (for rerun option in
    pytest.mark.flaky). Run build-time tests <!nocheck>.
  * debian/tests: skip example pi_stacking.ipynb (needs py3Dmol)
  * apply test skips from debian/tests to PYBUILD_TEST_ARGS in
    debian/rules (skip tests needing internet or 3rd party packages)
  * skip mdconvert in build tests (binary not yet accessible)
  * debian patch openmm_version_skip.patch skips
    test_topology_openmm_formal_charges in test_topology if openmm 8.2
    or later is not available (introducing the formal_charges API).
    See also upstream #1956, PR#1967.
    Build-Depends: python3-packaging <!nocheck>

 -- Drew Parsons <dparsons@debian.org>  Mon, 11 Aug 2025 19:30:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,22 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-numpy3,
+ pybuild-plugin-pyproject,
  cython3,
  python3-setuptools,
  python3-all-dev,
  python3-gsd,
- python3-numpy,
+ python3-numpy (>= 2.0.0~),
  python3-scipy,
  python3-nbsphinx,
- python3-nbsphinx-link,
  python3-netcdf4,
  python3-networkx,
+ python3-packaging <!nocheck>,
  python3-pandas,
  python3-pyparsing,
+ python3-pytest <!nocheck>,
+ python3-pytest-rerunfailures <!nocheck>,
  python3-sphinx,
  python3-tables,
  python3-versioneer,
@@ -30,7 +34,7 @@
  python3-nbformat,
  python3-numpydoc,
  python3-sklearn
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdtraj
 Vcs-Git: https://salsa.debian.org/debichem-team/mdtraj.git
 Homepage: https://mdtraj.org/

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 export DH_VERBOSE = 1
 
 export PYBUILD_NAME=mdtraj
+
+export PYBUILD_TEST_ARGS=-k 'not (mdconvert or pi_stacking.ipynb or nmr.ipynb or test_image_molecules) and not (test_3 or test_pdb_from_url or test_1vii_url_and_gz)'
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -50,7 +52,6 @@
 	mv $(CURDIR)/examples.orig $(CURDIR)/examples
 
 execute_after_dh_python3:
-	dh_numpy3
 	# setup.py builds the static lib libtheobald.a for each python version
 	# but dh_python3 can't tell the difference between the different builds,
 	# since py3.11 compiles libtheobald.o with -fwrapv, where py3.12 uses -fno-strict-overflow

=== debian/tests/control ===
# skip nmr.pynb: it requires Sparta
# dssp and pdb url tests require internet to access datasources
Test-Command: pytest-3 -k 'not (pi_stacking.ipynb or nmr.ipynb or test_image_molecules) and not (test_3 or test_pdb_from_url or test_1vii_url_and_gz)'
Depends: python3-mdtraj,
 python3-gsd,
 python3-ipykernel,
 python3-jupyter-client,
 python3-matplotlib,
 python3-netcdf4,
 python3-nbformat,
 python3-packaging,
 python3-pytest,
 python3-pytest-rerunfailures,
 python3-pandas,
 python3-sklearn
Architecture: any-amd64 arm64 i386

# dssp and pdb url tests require internet to access datasources
Test-Command: pytest-3 -k 'test_3 or test_pdb_from_url or test_1vii_url_and_gz'
Depends: python3-mdtraj,
 python3-gsd,
 python3-ipykernel,
 python3-jupyter-client,
 python3-matplotlib,
 python3-netcdf4,
 python3-nbformat,
 python3-pytest,
 python3-pytest-rerunfailures,
 python3-pandas,
 python3-sklearn
Architecture: any-amd64 arm64 i386
Restrictions: needs-internet

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mdtraj-$1.tar.gz%" \
   https://github.com/mdtraj/mdtraj/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## mdtraj 1.11.1.post1

=== docs/requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 scikit-learn
 pytest
 setuptools
-pandas
+pandas<3
 numpydoc
 wheel
 tables

=== debian/changelog ===
mdtraj (1.11.1.post1-2) unstable; urgency=medium

  * skip netcdf test test_iterload[nc] from test_trajectory.py, which
    now gives IndexError: index exceeds dimension bounds (Bug#1129346)
  * debian/rules and debian/tests: reorganise lists of skipped tests
    for easier maintenance

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Mar 2026 10:57:36 +0100

mdtraj (1.11.1.post1-1) unstable; urgency=medium

  * New upstream release
  * update name of skipped url tests requiring internet connection
  * run debian/tests over all support Python versions.
    Run from tests dir to avoid misimporting module from source.
  * debian/tests/README.tests documents the need to install
    python3-pytest-rerunfailures and NOT python3-flaky to manage flaky
    tests (debci command2, for internet tests)
  * update debian/watch to v5 GitHub template.
    Uversion-Mangle: auto to order rc releases.
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Feb 2026 15:59:45 +0100

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  python3-nbformat,
  python3-numpydoc,
  python3-sklearn
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debichem-team/mdtraj
 Vcs-Git: https://salsa.debian.org/debichem-team/mdtraj.git
 Homepage: https://mdtraj.org/

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,29 @@
 
 export PYBUILD_NAME=mdtraj
 
-export PYBUILD_TEST_ARGS=-k 'not (mdconvert or pi_stacking.ipynb or nmr.ipynb or test_image_molecules) and not (test_3 or test_pdb_from_url or test_1vii_url_and_gz)'
+SKIP_TEST_LIST += mdconvert pi_stacking.ipynb nmr.ipynb test_image_molecules
+
+# Bug#1129346  IndexError: index exceeds dimension bounds
+SKIP_TEST_LIST += test_iterload[nc]
+
+# internet tests
+SKIP_TEST_LIST += test_3 from_url test_1vii_url_and_gz test_1vii_load_from_mixture
+
+SKIP_TESTS = $(shell  my_skip_tests=""; \
+        list_initialised=0; \
+        for t in $(SKIP_TEST_LIST); do \
+            if [ $${list_initialised} = 0 ]; then \
+                my_skip_tests=$$t; \
+                list_initialised=1; \
+            else \
+                my_skip_tests="$${my_skip_tests} or $$t"; \
+            fi; \
+        done; \
+        if [ "x$${my_skip_tests}" != "x" ]; then \
+            echo "not ( $${my_skip_tests} )"; \
+        fi; )
+
+export PYBUILD_TEST_ARGS=-k '$(SKIP_TESTS)'
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all

=== debian/tests/control ===
Tests: test-mdtraj
Depends: python3-all,
 python3-mdtraj,
 python3-gsd,
 python3-ipykernel,
 python3-jupyter-client,
 python3-matplotlib,
 python3-netcdf4,
 python3-nbformat,
 python3-packaging,
 python3-pytest,
 python3-pytest-rerunfailures,
 python3-pandas,
 python3-sklearn
Architecture: any-amd64 arm64 i386

# dssp and pdb url tests require internet to access datasources
Test-Command: cd tests; for py in `py3versions -sv`; do python$py -m pytest -k 'test_3 or from_url or test_1vii_url_and_gz or test_1vii_load_from_mixture'; done
Depends: python3-all,
 python3-mdtraj,
 python3-gsd,
 python3-ipykernel,
 python3-jupyter-client,
 python3-matplotlib,
 python3-netcdf4,
 python3-nbformat,
 python3-pytest,
 python3-pytest-rerunfailures,
 python3-pandas,
 python3-sklearn
Architecture: any-amd64 arm64 i386
Restrictions: needs-internet
